/attachments/{attachment_id} Sets/updates attachment custom file name
Once the custom file name is set it cannot be unset to nil/empty string
Path parameters
| Name | Type | Description |
|---|---|---|
attachment_id req | string | Attachment ID |
Request body
attachmentobjectobject fields →
custom_filenamestringrequiredCustom name of the attachment file
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectAdditional files associated with Deals, Notes, Calls or Meetings. They can be uploaded and stored in S3, or stored in external providers i.e. Google Drive, Dropbox, Evernote.
object fields →
idstringbson-idID of the attachment
filenamestringrequiredName of the attachment file
custom_filenamestringCustom name of the attachment file
pinnedbooleanShow if the attachment is pinned to its owner contact
pinned_atstringShows pinned at timestamp. Is null if pinned == false
sizeintegerint32requiredSize of the attachment file (in bytes)
storage_providerstringName of the storage provider (where the attachment file is stored)
enum: amazon · google_drive · dropbox · evernote
urlstringExternal URL of the attachment file
url_expires_atstringdate-timeThe time the attachment URL expires
thumbnailobjectAn image preview of the attachment file (if one exists)
object fields →
urlstringExternal URL of the attachment's thumbnail
Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.